- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/appstoreappsreview/uploadapk#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/appstoreappsreview/uploadapk#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/appstoreappsreview/uploadapk#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/appstoreappsreview/uploadapk#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/appstoreappsreview/uploadapk#body.UploadApkResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/appstoreappsreview/uploadapk#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/appstoreappsreview/uploadapk#try-it)

Upload an APK file for the hosted app. Returns an ID to track this APK.

### HTTP request

- Upload URI, for media upload requests:  
  `POST https://androidpublisher.googleapis.com/upload/androidpublisher/v3/appstore/{appStorePackageName}/apps/{packageName}/apks:upload`
- Metadata URI, for metadata-only requests:  
  `POST https://androidpublisher.googleapis.com/androidpublisher/v3/appstore/{appStorePackageName}/apps/{packageName}/apks:upload`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `appStorePackageName` | `string` Required. Package name of the third-party app store. |
| `packageName` | `string` Required. Package name of the app. |

### Request body

The request body must be empty.

### Response body

Response for uploading an APK.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "apkId": string } ``` |

| Fields ||
|---|---|
| `apkId` | `string` The unique ID of the uploaded APK. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`